//----------------------------------------------------------------------------
//  Project Laskuri
//  
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    Laskuri Application
//  FILE:         laskuri.cpp
//  AUTHOR:
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TLaskuriApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include <stdio.h>

#include "laskuri.h"
#include "laskrdlg.h"                        // Definition of client class.


//{{TLaskuriApp Implementation}}


DEFINE_RESPONSE_TABLE1(TLaskuriApp, TApplication)
//{{TLaskuriAppRSP_TBL_BEGIN}}
//{{TLaskuriAppRSP_TBL_END}}
END_RESPONSE_TABLE;


TLaskuriApp::TLaskuriApp() : TApplication("Laskuri")
{

  // INSERT>> Your constructor code here.
}


TLaskuriApp::~TLaskuriApp()
{
  // INSERT>> Your destructor code here.
}


void TLaskuriApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TSDIDecFrame* frame = new TSDIDecFrame(0, GetName(), 0, false);
  frame->SetFlag(wfShrinkToClient);

  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  SetMainWindow(frame);

}



//{{TSDIDecFrame Implementation}}


TSDIDecFrame::TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
  TDecoratedFrame(parent, title, !clientWnd ? new TLaskuriDlg(0) : clientWnd, trackMenuSelection, module)
{
  // INSERT>> Your constructor code here.

}


TSDIDecFrame::~TSDIDecFrame()
{
  // INSERT>> Your destructor code here.

}


// Menu Help About Laskuri command
//
void TLaskuriApp::CmHelpAbout()
{
}

int OwlMain(int , char* [])
{
  TLaskuriApp   app;
  return app.Run();
}
