//----------------------------------------------------------------------------
//  Project Laskuri
//  
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    Laskuri Application
//  FILE:         laskuri.h
//  AUTHOR:       
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TLaskuriApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(laskuri_h)              // Sentry, use file only if it's not already included.
#define laskuri_h

#include <owl/opensave.h>


#include "laskuri.rh"            // Definition of all resources.


//{{TDecoratedFrame = TSDIDecFrame}}
class TSDIDecFrame : public TDecoratedFrame {
  public:
    TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection = false, TModule* module = 0);
    ~TSDIDecFrame();
};    //{{TSDIDecFrame}}


//{{TApplication = TLaskuriApp}}
class TLaskuriApp : public TApplication {
  private:


  public:
    TLaskuriApp();
    virtual ~TLaskuriApp();

//{{TLaskuriAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
//{{TLaskuriAppVIRTUAL_END}}

//{{TLaskuriAppRSP_TBL_BEGIN}}
  protected:
    void CmHelpAbout();
//{{TLaskuriAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TLaskuriApp);
};    //{{TLaskuriApp}}


#endif  // laskuri_h sentry.
