'------------------------------------------------------------------------
Option Explicit
'------------------------------------------------------------------------
' API-kutsut pit esitell Declare lauseella ja esittelyss pit
' muistaa olla tarkkana ByVal -sanan kanssa (C:sshn aina ByVal).
' Merkkijonoille ByVal tarkoittaa ett ne ovat C-muotoisia ASCIIZ-jonoja
Declare Function WritePrivateProfileString Lib "Kernel" (ByVal Section As String, ByVal Item As String, ByVal st As String, ByVal file As String) As Integer
Declare Function GetPrivateProfileString Lib "Kernel" (ByVal Section As String, ByVal Item As String, ByVal def As String, ByVal st As String, ByVal lenst As Integer, ByVal file As String) As Integer
Declare Function GetPrivateProfileInt Lib "Kernel" (ByVal Section As String, ByVal Item As String, ByVal i As Integer, ByVal file As String) As Integer
'------------------------------------------------------------------------
Global nayttoja As Integer ' Nyttjen lkm lomakkeella
Global file As FileType    ' Tiedoston tiedot
Global NL As String        ' Rivinvaihtomerkki (muista alustaa!)

'------------------------------------------------------------------------
Function laskurit_tekstiksi$ ()
  Dim st As String, i As Integer
  st$ = laskuri!Naytto(0)
  For i = 1 To nayttoja - 1
    st$ = st$ & "" & Str$(laskuri!Naytto(i))
  Next
  laskurit_tekstiksi$ = st$
End Function

'------------------------------------------------------------------------
Function MyNew (file As FileType)
  nollaa_laskurit
  MyNew = False
End Function

'------------------------------------------------------------------------
Function MyRead (file As FileType)
  Dim st As String
  On Error GoTo read_error
  
  Open file.name For Input As #1
  Input #1, st
  Close #1
  teksti_laskureiksi (st)
  MyRead = False
  Exit Function

read_error:
  MyRead = True
  Exit Function
End Function

'------------------------------------------------------------------------
Function MySave (file As FileType)
   On Error GoTo save_error
   
   Open file.name For Output As #1
   Print #1, laskurit_tekstiksi$()
   Close #1
   MySave = False
   Exit Function

save_error:
   MySave = True
   Exit Function
End Function

'------------------------------------------------------------------------
Sub nollaa_laskurit ()
  Dim i As Integer
  For i = 0 To nayttoja - 1
    Call ShowStatic(i, 0)
  Next
End Sub

Function PetPrivateProfileInt (Section As String, Item As String, i As Integer, file As String) As Integer
'  Dim st As String * 255, iapu, e As Integer
'  iapu = i
'  e = GetPrivateProfileString(Section, Item, "", st, Len(st), file)
'  If (st <> "") Then iapu = Val(st)
'  i = iapu
'  GetPrivateProfileInt = e
End Function

'------------------------------------------------------------------------
Sub set_label (file As FileType)
' Asetetaan otsikoksi joko OTSIKKO tai OTSIKKO - [tiedosto]
  If file.FileTitle = "" Then
    laskuri.Caption = file.Title
  Else
    laskuri.Caption = file.Title + " - [" + file.FileTitle + "]"
  End If
End Sub

'------------------------------------------------------------------------
Sub ShowStatic (ByVal Index As Integer, ByVal arvo As Integer)
  If (laskuri!Naytto(Index) <> arvo) Then Call changed(file)
  laskuri!Naytto(Index) = arvo
End Sub

'------------------------------------------------------------------------
Sub teksti_laskureiksi (st As String)
  Dim loppu, n, i As Integer

  For i = 0 To nayttoja - 1
    While (Mid$(st, 1, 1) = " ")' Poistetaan alkuvlilynnit
      st = Mid$(st, 2)
    Wend
    n = InStr(st, " ")
    If n = 0 Then loppu = 100 Else loppu = n
    Call ShowStatic(i, Val(Mid$(st, 1, loppu)))
    If n = 0 Then Exit For
    st = Mid$(st, n + 1)
  Next
End Sub

